ResultSet.PreparedMetadata (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class ResultSet.PreparedMetadata

- java.lang.Object
- - org.apache.cassandra.cql3.ResultSet.PreparedMetadata

- Enclosing class:
    ResultSet

      public static class ResultSet.PreparedMetadata
      extends java.lang.Object

  The metadata for the query parameters in a prepared statement.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CBCodec<ResultSet.PreparedMetadata>` | `codec`
    `java.util.List<ColumnSpecification>` | `names`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreparedMetadata(java.util.List<ColumnSpecification> names, short[] partitionKeyBindIndexes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResultSet.PreparedMetadata` | `copy()`
    `boolean` | `equals(java.lang.Object other)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### codec

          public static final CBCodec<ResultSet.PreparedMetadata> codec

    - #### names

          public final java.util.List<ColumnSpecification> names

  - ### Constructor Detail

    - #### PreparedMetadata

          public PreparedMetadata(java.util.List<ColumnSpecification> names,
                                  short[] partitionKeyBindIndexes)

  - ### Method Detail

    - #### copy

          public ResultSet.PreparedMetadata copy()

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation